## org.exist.xquery.test
Class ConvertionsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.ConvertionsTest

All Implemented Interfaces:
  junit.framework.Test

public class ConvertionsTest
extends junit.framework.TestCase

Tests for various XQuery (XML Schema) simple types conversions.

Author:
  jmvanel

Constructor Summary
`ConvertionsTest(java.lang.String arg0)` Constructor for XQueryFunctionsTest.

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testQName2string()` test conversion from QName to string

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConvertionsTest

    public ConvertionsTest(java.lang.String arg0)

  Constructor for XQueryFunctionsTest.

Parameters:
  `arg0` -

Method Detail

### main

    public static void main(java.lang.String[] args)

### testQName2string

    public void testQName2string()

  test conversion from QName to string

Copyright (C) Wolfgang Meier. All rights reserved.